GNU bug report logs - #24089
25.1; Dired: diff error on = <RET> if the file has a backup inside .~/

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>; dated Wed, 27 Jul 2016 18:43:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Disconnected #24089 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 24089 24474 30407. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24089 <at> debbugs.gnu.org:


Received: (at 24089) by debbugs.gnu.org; 6 Mar 2017 03:34:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 05 22:34:09 2017
Received: from localhost ([127.0.0.1]:41599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ckjPV-0001sD-Gh
	for submit <at> debbugs.gnu.org; Sun, 05 Mar 2017 22:34:09 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ckjPU-0001s1-15
 for 24089 <at> debbugs.gnu.org; Sun, 05 Mar 2017 22:34:08 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ckjPK-0003LH-2c
 for 24089 <at> debbugs.gnu.org; Sun, 05 Mar 2017 22:34:02 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41248)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ckjPJ-0003LD-VZ; Sun, 05 Mar 2017 22:33:58 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1918
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ckjPJ-0002ru-9F; Sun, 05 Mar 2017 22:33:57 -0500
Date: Mon, 06 Mar 2017 05:33:49 +0200
Message-Id: <83r32bhyea.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jorge Morais Neto <jorge13515@HIDDEN>
In-reply-to: <CAJR3QnfS+y7Ynueghxo+9kM-mcuej0z4zZ1qii_Pd77zeXSQmw@HIDDEN>
 (message from Jorge Morais Neto on Sun, 5 Mar 2017 19:29:38 -0300)
Subject: Re: bug#24089: 25.1; Dired: diff error on = <RET> if the file has a
 backup inside .~/
References: <1469644946.16323.9.camel@HIDDEN> <83popxrefr.fsf@HIDDEN>
 <1469792610.16323.47.camel@HIDDEN> <83bn1gqzco.fsf@HIDDEN>
 <1469809763.28832.14.camel@HIDDEN> <838twhq1zb.fsf@HIDDEN>
 <1470189864.29404.3.camel@HIDDEN> <83tweyjj3p.fsf@HIDDEN>
 <CAJR3Qnfbz2NHrDDaeH4+rNtYHTeLR00A__TcXfcy_AgU7=-NxQ@HIDDEN>
 <CAJR3QnfS+y7Ynueghxo+9kM-mcuej0z4zZ1qii_Pd77zeXSQmw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 24089
Cc: 24089 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Jorge Morais Neto <jorge13515@HIDDEN>
> Date: Sun, 5 Mar 2017 19:29:38 -0300
> Cc: 24089 <at> debbugs.gnu.org
> 
> On 15 November 2016 at 14:14, Jorge Morais Neto <jorge13515@HIDDEN> wrote:
> > I found a problem with the solution to this bug.  The solution could be further
> > improved.
> 
> Hi.  Will this be worked on?

I don't know how to solve the issues you raise with this particular
arrangement of backup files.  Maybe someone else does.  Sorry.

> I am sorry for insisting, but I thought the last email could have been
> lost.

It didn't get lost, I just had nothing useful to say in response.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24089; Package emacs. Full text available.

Message received at 24089 <at> debbugs.gnu.org:


Received: (at 24089) by debbugs.gnu.org; 5 Mar 2017 22:29:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 05 17:29:46 2017
Received: from localhost ([127.0.0.1]:41473 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ckeew-0001Mn-Dd
	for submit <at> debbugs.gnu.org; Sun, 05 Mar 2017 17:29:46 -0500
Received: from mail-qk0-f180.google.com ([209.85.220.180]:33642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jorgepeixotomorais@HIDDEN>) id 1ckeeu-0001MZ-PF
 for 24089 <at> debbugs.gnu.org; Sun, 05 Mar 2017 17:29:45 -0500
Received: by mail-qk0-f180.google.com with SMTP id n127so247550641qkf.0
 for <24089 <at> debbugs.gnu.org>; Sun, 05 Mar 2017 14:29:44 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=bwmT0qIPgsJkxvVhAlQuAOtRMA5MRWYmL2iN8J67MtE=;
 b=miYl+YvHKBykS7LrlRLH4MyZgcKTm4w/FQfmsIx8dxgb2FgJHkosQxLpp16j4X2gKT
 n5QA6IOWWpIZmU0fQsdF7sN0lzKYlV+xyPCYq5xsNYZxexRfVU/6uI8YX6eKw2+qNEsl
 4JDSGb+l9vVV/b9VKvfCf21WMzYlNBSmXPTEykBVOs1Yan+uNk03AneyRUaplFU7fuRs
 i6ypR9bQYnUSXbaf31iDnI2A+yRjI1vkLqqvMqVhEUWPGYMpUKVMesFEzGjRDxwlr/Fh
 oME3CSQZbgV3kbLmHZL/LgCtg/PvVRdTYNQ0/m7KzWzbkh6CA5EHNDVzwHBDULvS74NX
 maHg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=bwmT0qIPgsJkxvVhAlQuAOtRMA5MRWYmL2iN8J67MtE=;
 b=RU0q9npZYAufGpBbk8APr6EevbYW33VJ6re7k6WqVI7CFSHxh+p7fpst7daapR4LPc
 GNj3gMrDY4ZJbgmUHIvnDi0w9u08aUH2EuCdxwdMynOnTowFqnIcF7/n89O4mEYW/jBF
 Bmapt9+xxT3LR7RdL9uvElZPdiHkYYU/+qoHKSPQAT95fFrOkBNNT6qQ7H8GY5EG0+AD
 N6A2z7b3pYrhwsxS6Q95v8EfMSIrNR75i3OfInwQEuBcER91fJpVxZ9KHAOqkVg/L/Bu
 WUNMXjOgPrDxCSIw1GnuRa4wa4+JgHtXbB3DZ5s0AxsoJC1R1Wqf2AFUfQXrVdHWK1sB
 Z4ng==
X-Gm-Message-State: AMke39mMMZMqK2zNSrI6lpkb5iA8vfWAn6EnqLaL8uqXhiJPaDPn8giBLoVG6MzdzN88zEfuCH6aMk0dIpPeLg==
X-Received: by 10.55.24.22 with SMTP id j22mr11468632qkh.96.1488752979204;
 Sun, 05 Mar 2017 14:29:39 -0800 (PST)
MIME-Version: 1.0
Received: by 10.55.111.3 with HTTP; Sun, 5 Mar 2017 14:29:38 -0800 (PST)
In-Reply-To: <CAJR3Qnfbz2NHrDDaeH4+rNtYHTeLR00A__TcXfcy_AgU7=-NxQ@HIDDEN>
References: <1469644946.16323.9.camel@HIDDEN> <83popxrefr.fsf@HIDDEN>
 <1469792610.16323.47.camel@HIDDEN> <83bn1gqzco.fsf@HIDDEN>
 <1469809763.28832.14.camel@HIDDEN> <838twhq1zb.fsf@HIDDEN>
 <1470189864.29404.3.camel@HIDDEN> <83tweyjj3p.fsf@HIDDEN>
 <CAJR3Qnfbz2NHrDDaeH4+rNtYHTeLR00A__TcXfcy_AgU7=-NxQ@HIDDEN>
From: Jorge Morais Neto <jorge13515@HIDDEN>
Date: Sun, 5 Mar 2017 19:29:38 -0300
X-Google-Sender-Auth: YhwFhSR6mGBg60WXMhqz-Yu8yik
Message-ID: <CAJR3QnfS+y7Ynueghxo+9kM-mcuej0z4zZ1qii_Pd77zeXSQmw@HIDDEN>
Subject: Re: bug#24089: 25.1; Dired: diff error on = <RET> if the file has a
 backup inside .~/
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 24089
Cc: 24089 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On 15 November 2016 at 14:14, Jorge Morais Neto <jorge13515@HIDDEN> wrote:
> I found a problem with the solution to this bug.  The solution could be further
> improved.

Hi.  Will this be worked on?

I am sorry for insisting, but I thought the last email could have been
lost.  I do not intend to insist further.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24089; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Jorge Morais Neto <jorge13515@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 24089 <at> debbugs.gnu.org:


Received: (at 24089) by debbugs.gnu.org; 15 Nov 2016 16:14:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 11:14:55 2016
Received: from localhost ([127.0.0.1]:58380 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c6gNr-0002hR-H5
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2016 11:14:55 -0500
Received: from mail-qt0-f195.google.com ([209.85.216.195]:35050)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jorgepeixotomorais@HIDDEN>) id 1c6gNp-0002h9-Nz
 for 24089 <at> debbugs.gnu.org; Tue, 15 Nov 2016 11:14:54 -0500
Received: by mail-qt0-f195.google.com with SMTP id m48so8745279qta.2
 for <24089 <at> debbugs.gnu.org>; Tue, 15 Nov 2016 08:14:53 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc:content-transfer-encoding;
 bh=oM5FZ5T+g6+nDZ9sZZ2zDScBiOETmBxo70V/czWYIVE=;
 b=XhoML1y0nbeo8vXL8iQDYPWLmpcQBwqPNkmuDAXRHDr3XeANczHHWk+UC+tOAJVAuG
 rw3s6sgg1rmj7SeXIvFvhQdCrwz7n8vegqOw46zZ+Od1bVzt9plvhCMWPqGYuU6nZ3k8
 R5/OFBRW8oUY57AKolrs30zv/eHzk3TrxCtBHaCgpDPx5LZLtccwfRBS87kx1j8BEz5i
 kqypNVTxjCQm954/uu+nPd+9YEVT0qRnwmjf4e1P5GHTKxqxhLiGs/9ErRYvmUyRH9Ia
 ElmMhD9oyRCAQmnqnw+P3ak6RWYSw1YsXcVCSYlDcuQk0fM6JH+ME+Z42eJY5liQGlIW
 serA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc:content-transfer-encoding;
 bh=oM5FZ5T+g6+nDZ9sZZ2zDScBiOETmBxo70V/czWYIVE=;
 b=R/fh8O1lDVPnQxo6HA9eDYAlpQ13hO7Okm0ZDEradtQrh2wA2HOQnID1LoeDRmM9Dp
 Y1mmWzyCjcr+lijteUVoVTeaDKHp5tRbQNFEEntMiap6e+1VU/sxh7NisHGZ89M49obw
 bDjKYf6xqbe1PdThaCKfF8WSuvdzwALYQ24+zgt7CKfiqYAntKRQ3yKlL2BRwbf+xYQY
 LepNa4zve3Ra677HIp855h5/n9N/hKWeXNU1/JZEk1JI32azXLt72kqxWrVe+cFHkWBQ
 reQqkI9NmqtpK/BlhXbHJP83sCvczQLKhDkyU0I9Cdm+qj/AfDKj0Nw9HNuctg72cFty
 vlWg==
X-Gm-Message-State: ABUngvc89T39b0aVSMFqFq092VKF/VNwr47ps4/sT3jFLdANf+Cy8SeJng3/p55OhhybCeZk9ZmpDKjmn2S7oA==
X-Received: by 10.200.43.37 with SMTP id 34mr15106966qtu.98.1479226488038;
 Tue, 15 Nov 2016 08:14:48 -0800 (PST)
MIME-Version: 1.0
Received: by 10.55.185.70 with HTTP; Tue, 15 Nov 2016 08:14:47 -0800 (PST)
In-Reply-To: <83tweyjj3p.fsf@HIDDEN>
References: <1469644946.16323.9.camel@HIDDEN> <83popxrefr.fsf@HIDDEN>
 <1469792610.16323.47.camel@HIDDEN> <83bn1gqzco.fsf@HIDDEN>
 <1469809763.28832.14.camel@HIDDEN> <838twhq1zb.fsf@HIDDEN>
 <1470189864.29404.3.camel@HIDDEN> <83tweyjj3p.fsf@HIDDEN>
From: Jorge Morais Neto <jorge13515@HIDDEN>
Date: Tue, 15 Nov 2016 14:14:47 -0200
X-Google-Sender-Auth: rs5HVIWqHk-CHVy9IcQ_He60Npk
Message-ID: <CAJR3Qnfbz2NHrDDaeH4+rNtYHTeLR00A__TcXfcy_AgU7=-NxQ@HIDDEN>
Subject: Re: bug#24089: 25.1; Dired: diff error on = <RET> if the file has a
 backup inside .~/
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 24089
Cc: 24089 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On 6 August 2016 at 07:18, Eli Zaretskii <eliz@HIDDEN> wrote:
> I committed the patch to the master branch, and I'm marking this bug
> done.  Thanks a lot for reporting this subtle bug and for testing the
> fixes.

I found a problem with the solution to this bug.  The solution could be fur=
ther
improved.

My Emacs init file is "~/.emacs.d/init.el".  It has numbered backups in
"~/.emacs.d/.~/".  It is true that with the existing fix, I can invoke
dired-diff on init.el and immediately hit RET, and it will work as expected=
.
However, I often want to compare with an earlier backup.Therefore, I want t=
o be
able to:
1. Pull into the minibuffer (with M-n) the path to the latest backup, so I =
could
   edit it to become the path of an earlier backup.  Or even better,
2. Pull into the minibuffer (with M-n) the path to the latest backup, and g=
et
   the path of earlier and earlier backups with successive invocations of M=
-n.

The current fix lacks both of these features.

Regards

--=20
=E2=80=A2 I am Brazilian.  I hope my English is correct and I welcome corre=
ctions.
=E2=80=A2 Please adopt free formats like PDF, ODF, Org, LaTeX, Opus, WebM a=
nd 7z.
=E2=80=A2 Free (as in free speech) software for Android: https://f-droid.or=
g/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24089; Package emacs. Full text available.
bug unarchived. Request was from Jorge Morais Neto <jorge13515@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 24089 24474. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 24089-done <at> debbugs.gnu.org:


Received: (at 24089-done) by debbugs.gnu.org; 6 Aug 2016 15:50:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 06 11:50:49 2016
Received: from localhost ([127.0.0.1]:58080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bW3s9-0001V9-A2
	for submit <at> debbugs.gnu.org; Sat, 06 Aug 2016 11:50:49 -0400
Received: from mail-qk0-f195.google.com ([209.85.220.195]:36715)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jorge13515@HIDDEN>) id 1bW3s8-0001Ux-2b
 for 24089-done <at> debbugs.gnu.org; Sat, 06 Aug 2016 11:50:48 -0400
Received: by mail-qk0-f195.google.com with SMTP id x185so10060268qkc.3
 for <24089-done <at> debbugs.gnu.org>; Sat, 06 Aug 2016 08:50:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=VR/YpdELhUGhtScT5UJ/h42zboHZvIgdJ6iavltaFmA=;
 b=yiDi0BgeB8fpihM+c2RnAgC8clq4Yjny7KkeIPYqp+BSVvVdjZ8bM5PZJhwE4eO229
 kiMyh1JmnPvYFNdj2iv7pJdZtocn9sDQpPU1hpz+u4qUUJKwmlS9kF1HzzZk25AxGN4L
 BZMGGWpIzD4BKt73cuLtETuRkdQIZWjaFgTHy8cDF/a2wh1BqsbWSAE00hz949qOmDtt
 hIvOvAJuzd5LUXuCmRyGqlBeZ9thfD36O7DE+QIG98Vc7bVTOkiYVJj46bArZlTRFPp8
 hXldy2bqBxJSIW9FJOrKZ9W05cCa6BfzUEmamvppVJVX/4+A45+GsbVGw570Hx1Ruok7
 rX6Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=VR/YpdELhUGhtScT5UJ/h42zboHZvIgdJ6iavltaFmA=;
 b=XopTQk1Djcd4GVIHYHc6QZpkoOixmOG6QJRwYWToK3qifdkJt/q04mtLz5urtHvYTx
 mng1n32MfsbuUx3NMzoGBCNeToZtxllkm736KBHGqxpvrPDhPz/y8VUpn4i/IVmYsZVW
 CXLp571Zy4K3PnIEojaqvL5XD0DEdxD/X77D+Ifme2HBgZLGSgL5liGvMp2xc09Td2vW
 00wGQaZ8gHVVE6r7zJo2qezxB8soF7ZlLWBYsEOazy++B4vGoq8HR4BOeQV4UG5EweYA
 VJ5yUNPwDadE4VmhBu+9INEH0vBBiz5fd9clRZxXC07YuiWEd41vmBikXK4njxhhdMHk
 +z7A==
X-Gm-Message-State: AEkoousPgDh3SJdPZd6jwheAdjATlwScO/kV4paixeIYtKSdr5rs7cuTQ5ieJPi4x7uVJQ==
X-Received: by 10.55.99.202 with SMTP id x193mr8759802qkb.74.1470498642655;
 Sat, 06 Aug 2016 08:50:42 -0700 (PDT)
Received: from [192.168.0.17] ([191.176.103.124])
 by smtp.googlemail.com with ESMTPSA id l42sm12551848qtb.43.2016.08.06.08.50.40
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 06 Aug 2016 08:50:41 -0700 (PDT)
Message-ID: <1470498634.29404.5.camel@HIDDEN>
Subject: Re: bug#24089: 25.1; Dired: diff error on = <RET> if the file has a
 backup inside .~/
From: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Date: Sat, 06 Aug 2016 12:50:34 -0300
In-Reply-To: <83tweyjj3p.fsf@HIDDEN>
References: <1469644946.16323.9.camel@HIDDEN> <83popxrefr.fsf@HIDDEN>
 <1469792610.16323.47.camel@HIDDEN> <83bn1gqzco.fsf@HIDDEN>
 <1469809763.28832.14.camel@HIDDEN> <838twhq1zb.fsf@HIDDEN>
 <1470189864.29404.3.camel@HIDDEN> <83tweyjj3p.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Mailer: Evolution 3.18.5.2-0ubuntu3 
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 24089-done
Cc: 24089-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Sat, 2016-08-06 at 13:18 +0300, Eli Zaretskii wrote:
> I committed the patch to the master branch, and I'm marking this bug
> done.  Thanks a lot for reporting this subtle bug and for testing the
> fixes.

Thank you very much for improving Emacs!
-- 
• I am Brazilian.  I hope my English is correct and I welcome corrections.
• Please adopt free formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
• Free (as in free speech) software for Android: https://f-droid.org/






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24089; Package emacs. Full text available.

Message received at 24089-done <at> debbugs.gnu.org:


Received: (at 24089-done) by debbugs.gnu.org; 6 Aug 2016 10:19:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 06 06:19:07 2016
Received: from localhost ([127.0.0.1]:57141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bVyh8-0000E2-VI
	for submit <at> debbugs.gnu.org; Sat, 06 Aug 2016 06:19:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52121)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bVyh7-0000DV-4m
 for 24089-done <at> debbugs.gnu.org; Sat, 06 Aug 2016 06:19:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bVygy-0008Lj-NL
 for 24089-done <at> debbugs.gnu.org; Sat, 06 Aug 2016 06:18:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.2 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:32928)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bVygy-0008KE-Kh; Sat, 06 Aug 2016 06:18:56 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1849
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bVygw-0000Im-Jf; Sat, 06 Aug 2016 06:18:55 -0400
Date: Sat, 06 Aug 2016 13:18:50 +0300
Message-Id: <83tweyjj3p.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>
In-reply-to: <1470189864.29404.3.camel@HIDDEN> (message from Jorge Peixoto
 de Morais Neto on Tue, 02 Aug 2016 23:04:24 -0300)
Subject: Re: bug#24089: 25.1; Dired: diff error on = <RET> if the file has a
 backup inside .~/
References: <1469644946.16323.9.camel@HIDDEN> <83popxrefr.fsf@HIDDEN>
 <1469792610.16323.47.camel@HIDDEN> <83bn1gqzco.fsf@HIDDEN>
 <1469809763.28832.14.camel@HIDDEN> <838twhq1zb.fsf@HIDDEN>
 <1470189864.29404.3.camel@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24089-done
Cc: 24089-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> From: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>
> Cc: 24089 <at> debbugs.gnu.org
> Date: Tue, 02 Aug 2016 23:04:24 -0300
> 
> On Sun, 2016-07-31 at 18:08 +0300, Eli Zaretskii wrote:
> > How about the alternative patch below?  It fixes the doc string, and
> > makes the prompt be without the default in the second case.  Is that
> > good enough, in your opinion?
> 
> This new patch is better.  This is already good.  There is one more tweak that
> maybe could make it even better: with this latest patch, if the user types =
> <RET> in the backup file then Emacs says
>    Attempt to compare the file to itself

The same happens in other situations when there's no default
dired-diff can intuit.  So this behavior is not new to dired-diff.

> Wouldn't it be better if dired-diff refused the minibuffer input if it is not
> a valid file?  This way, if the user types = <RET>, Emacs will display "[no
> match]", which would be more precise.

No, I think the "[No match]" thing is worse: it leaves the user
wondering what it means.  (Match for what?)  I believe the fact that
there's no default value is a hint good enough for the user to become
aware that she must type something.

I committed the patch to the master branch, and I'm marking this bug
done.  Thanks a lot for reporting this subtle bug and for testing the
fixes.




Notification sent to Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Eli Zaretskii <eliz@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 24089 <at> debbugs.gnu.org:


Received: (at 24089) by debbugs.gnu.org; 3 Aug 2016 02:04:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 02 22:04:43 2016
Received: from localhost ([127.0.0.1]:53967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bUlY3-0007F4-BK
	for submit <at> debbugs.gnu.org; Tue, 02 Aug 2016 22:04:43 -0400
Received: from mail-qt0-f178.google.com ([209.85.216.178]:33582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jorge13515@HIDDEN>) id 1bUlY1-0007Es-Mw
 for 24089 <at> debbugs.gnu.org; Tue, 02 Aug 2016 22:04:42 -0400
Received: by mail-qt0-f178.google.com with SMTP id w38so134888413qtb.0
 for <24089 <at> debbugs.gnu.org>; Tue, 02 Aug 2016 19:04:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=yPgyD0azZ4jh8cC7y33ezGzYuDyyj/Bwc1vnOgu5IR8=;
 b=rbltlp7jn51XCpJgEsOx2Qj6VyZwCGY3cOkssB5/NfCaDrhW5bfXvVBcehNnaJS4mn
 71JVHpwZyjrFsRX03F5ys8pZ3r0VZcVZmq8AOLQiWtOfudjkfjXW1ejg0/Aeqh7LekXc
 Dq7lIA9Fw5dGkZhhgiSKnZXWuVUaNQ4+Vw5Hgqy/sNfRyLj4cypHlswMadZbQrkOanbm
 nHtMRpbaNRsJNyDTBbpNR2o554DkzZZVgbzLTgZtTKdwP991qgJAcz2ga15KJBmVQLLx
 5bZ/luGCaEKEYZyhulciUUwzeA3AHQfJw/HBxPIo3eZlkXwhcw7oTrE0D+P9FyPYtKF/
 JhFQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=yPgyD0azZ4jh8cC7y33ezGzYuDyyj/Bwc1vnOgu5IR8=;
 b=Fvzr7OuBwJZ7zeCntAfpfZ7l/pODdFYN16JyugEKA6XOOeN/yP/QPg9As1MUyY/nvj
 +HEIyRYo5CoYrYhd3bxYPwQt6bytt0RbOYV/isrMdJIEpU+ssO0psxUKna7UmKvRNIME
 axoT3TVywbw4jvROT7Z8fE1mNx7ssHUm7bSph8xuSTYTutPdI6FjEYCsGHHa9yvKjZKE
 fUoCqBbbavvwvABblM7fV+rT6fBwItzGUP+t7qdVNkh0P0CHHwaC51d9MMtqbFtZtCvd
 Y3L0cGYuVy78OOob6bo6M3jr1ExpzWhjjz8LARtrwnyNPBR7HUSN3/xv8sf5HREnSxFu
 EFzw==
X-Gm-Message-State: AEkoouvpvFVfQEwgDXQ4fucsZkMOTU0p4YG+1mnS36ob3paI/0K12RSXBJ8Kry8hEFYt4Q==
X-Received: by 10.200.56.253 with SMTP id g58mr104482720qtc.28.1470189876102; 
 Tue, 02 Aug 2016 19:04:36 -0700 (PDT)
Received: from [192.168.0.17] ([191.176.103.124])
 by smtp.googlemail.com with ESMTPSA id 95sm2960657qkx.15.2016.08.02.19.04.33
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 02 Aug 2016 19:04:35 -0700 (PDT)
Message-ID: <1470189864.29404.3.camel@HIDDEN>
Subject: Re: bug#24089: 25.1; Dired: diff error on = <RET> if the file has a
 backup inside .~/
From: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Date: Tue, 02 Aug 2016 23:04:24 -0300
In-Reply-To: <838twhq1zb.fsf@HIDDEN>
References: <1469644946.16323.9.camel@HIDDEN> <83popxrefr.fsf@HIDDEN>
 <1469792610.16323.47.camel@HIDDEN> <83bn1gqzco.fsf@HIDDEN>
 <1469809763.28832.14.camel@HIDDEN> <838twhq1zb.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Mailer: Evolution 3.18.5.2-0ubuntu3 
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 24089
Cc: 24089 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Sun, 2016-07-31 at 18:08 +0300, Eli Zaretskii wrote:
> How about the alternative patch below?  It fixes the doc string, and
> makes the prompt be without the default in the second case.  Is that
> good enough, in your opinion?

This new patch is better.  This is already good.  There is one more tweak that
maybe could make it even better: with this latest patch, if the user types =
<RET> in the backup file then Emacs says
   Attempt to compare the file to itself

Wouldn't it be better if dired-diff refused the minibuffer input if it is not
a valid file?  This way, if the user types = <RET>, Emacs will display "[no
match]", which would be more precise.

Regards

-- 
• I am Brazilian.  I hope my English is correct and I welcome corrections.
• Please adopt free formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
• Free (as in free speech) software for Android: https://f-droid.org/






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24089; Package emacs. Full text available.

Message received at 24089 <at> debbugs.gnu.org:


Received: (at 24089) by debbugs.gnu.org; 31 Jul 2016 15:08:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 31 11:08:55 2016
Received: from localhost ([127.0.0.1]:52291 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bTsMI-0003Ai-OT
	for submit <at> debbugs.gnu.org; Sun, 31 Jul 2016 11:08:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bTsMH-0003AW-5I
 for 24089 <at> debbugs.gnu.org; Sun, 31 Jul 2016 11:08:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bTsM6-0006qv-W6
 for 24089 <at> debbugs.gnu.org; Sun, 31 Jul 2016 11:08:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58639)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bTsM6-0006qn-SB; Sun, 31 Jul 2016 11:08:42 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3453
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bTsM4-0003kN-L4; Sun, 31 Jul 2016 11:08:41 -0400
Date: Sun, 31 Jul 2016 18:08:40 +0300
Message-Id: <838twhq1zb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>
In-reply-to: <1469809763.28832.14.camel@HIDDEN> (message from Jorge Peixoto
 de Morais Neto on Fri, 29 Jul 2016 13:29:23 -0300)
Subject: Re: bug#24089: 25.1; Dired: diff error on = <RET> if the file has a
 backup inside .~/
References: <1469644946.16323.9.camel@HIDDEN> <83popxrefr.fsf@HIDDEN>
 <1469792610.16323.47.camel@HIDDEN> <83bn1gqzco.fsf@HIDDEN>
 <1469809763.28832.14.camel@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24089
Cc: 24089 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> From: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>
> Cc: 24089 <at> debbugs.gnu.org
> Date: Fri, 29 Jul 2016 13:29:23 -0300
> 
> On Fri, 2016-07-29 at 17:43 +0300, Eli Zaretskii wrote:
> > I'm not sure why you expect that case to work.  How can Emacs
> > reverse-engineer backup-directory-alist, to figure out which of its
> > elements was in effect when the original file was backed up?  In your
> > example, there's only one element in the alist, but in general there
> > could be several.
> > 
> > It sounds like in this case the users cannot just press RET, they
> > should actually type a file name.  Am I missing something?
> I understood the intended behavior that way because of the dired-diff
> docstring:
>     If the file at point is a backup file, use its original.
> 
> Perhaps the docstring could be clarified?
> 
> Also dired-diff could be tweaked so that, when it is is invoked on a backup
> file, the default would be empty.  This would avoid the diff error on = <RET>.
>  I am not sure though.
> 
> Another possibility (which can be combined with the previous) is to tweak
> dired-diff to reverse-engineer backup-directory-alist at least for a few
> important easy particular cases, such as the following two:
>    1. (("." . ".~"))
>    2. (("." . "/ABSOLUTE/PATH"))
> and possibly others.

How about the alternative patch below?  It fixes the doc string, and
makes the prompt be without the default in the second case.  Is that
good enough, in your opinion?


--- lisp/dired-aux.el~0	2016-05-08 07:05:52.000000000 +0300
+++ lisp/dired-aux.el	2016-07-31 17:50:35.792144200 +0300
@@ -55,19 +55,23 @@
 
 ;;;###autoload
 (defun dired-diff (file &optional switches)
-  "Compare file at point with file FILE using `diff'.
-If called interactively, prompt for FILE.  If the file at point
-has a backup file, use that as the default.  If the file at point
-is a backup file, use its original.  If the mark is active
-in Transient Mark mode, use the file at the mark as the default.
-\(That's the mark set by \\[set-mark-command], not by Dired's
-\\[dired-mark] command.)
+  "Compare file at point with FILE using `diff'.
+If called interactively, prompt for FILE.
+If the mark is active in Transient Mark mode, use the file at the mark
+as the default for FILE.  (That's the mark set by \\[set-mark-command],
+not by Dired's \\[dired-mark] command.)
+If the file at point has a backup file, use that as the default FILE.
+If the file at point is a backup file, use its original, if that exists
+and can be found.  Note that customizations of `backup-directory-alist'
+and `make-backup-file-name-function' change where this function searches
+for the backup file, and affect its ability to find the original of a
+backup file.
 
-FILE is the first file given to `diff'.  The file at point
-is the second file given to `diff'.
+FILE is the first argument given to the `diff' function.  The file at
+point is the second argument given to `diff'.
 
 With prefix arg, prompt for second argument SWITCHES, which is
-the string of command switches for the third argument of `diff'."
+the string of command switches used as the third argument of `diff'."
   (interactive
    (let* ((current (dired-get-filename t))
 	  ;; Get the latest existing backup file or its original.
@@ -78,8 +82,20 @@
 	  (file-at-mark (if (and transient-mark-mode mark-active)
 			    (save-excursion (goto-char (mark t))
 					    (dired-get-filename t t))))
+          (separate-dir (and oldf
+                             (not (equal (file-name-directory oldf)
+                                         (dired-current-directory)))))
 	  (default-file (or file-at-mark
-			    (and oldf (file-name-nondirectory oldf))))
+                            ;; If the file with which to compare
+                            ;; doesn't exist, or we cannot intuit it,
+                            ;; we forget that name and don't show it
+                            ;; as the default, as an indication to the
+                            ;; user that she should type the file
+                            ;; name.
+			    (and (if (and oldf (file-readable-p oldf)) oldf)
+                                 (if separate-dir
+                                     oldf
+                                   (file-name-nondirectory oldf)))))
 	  ;; Use it as default if it's not the same as the current file,
 	  ;; and the target dir is current or there is a default file.
 	  (default (if (and (not (equal default-file current))
@@ -88,7 +104,9 @@
 				default-file))
 		       default-file))
 	  (target-dir (if default
-			  (dired-current-directory)
+                          (if separate-dir
+                              (file-name-directory default)
+                            (dired-current-directory))
 			(dired-dwim-target-directory)))
 	  (defaults (dired-dwim-target-defaults (list current) target-dir)))
      (list




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24089; Package emacs. Full text available.

Message received at 24089 <at> debbugs.gnu.org:


Received: (at 24089) by debbugs.gnu.org; 29 Jul 2016 16:29:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 29 12:29:39 2016
Received: from localhost ([127.0.0.1]:50885 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bTAfL-0006vy-IB
	for submit <at> debbugs.gnu.org; Fri, 29 Jul 2016 12:29:39 -0400
Received: from mail-qt0-f182.google.com ([209.85.216.182]:34638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jorge13515@HIDDEN>) id 1bTAfH-0006vj-Kx
 for 24089 <at> debbugs.gnu.org; Fri, 29 Jul 2016 12:29:38 -0400
Received: by mail-qt0-f182.google.com with SMTP id u25so69340375qtb.1
 for <24089 <at> debbugs.gnu.org>; Fri, 29 Jul 2016 09:29:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=/j5y4o9kT4Rqw/MAFwHWo1/4LNQNMmCGPsgoWRFGOGE=;
 b=NTMaRHP+YEmIcd91A/ua/eA3r5ctS33pOPHYw9uHInshIz9602fEVh1zm4PQq9NtUM
 7vtQIffB2LWhFTBVex9TksnuelJQwJe92USOB2wg4SqKTTRwKiweaA+E1CujFA0rSA2K
 AbTjHj8+dG3WlNrfQYjWEhEw/LJ1DpGvKkhchZHaP7S36goDLKoE5GaDEHX4QkYXLwhi
 NgK95ltCCIvR78KxS9kK2HZoQs2ip779Ln+FCzqYrrxTZgZtU7BoUTp8EIcikYwtf2Ok
 2/Ar/vAhpxC3EbplxPQLuz2xMlyvu6VeycAsG3TfJ81WnETcjBW25DfDzS3fno9f9RwA
 QpHw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=/j5y4o9kT4Rqw/MAFwHWo1/4LNQNMmCGPsgoWRFGOGE=;
 b=MPbF8MSBXOl72FKVAzI0d1P88EzhIxLSqi4t3eN1JREiheT8aj84PfNx9hnmAoF00X
 8/XSJkyWnfGam0FiHM+pAOqkgqNvqgraIwSp9/B1k3oni1Ace5WWa/3eyYeNi6458qmS
 tuAxa+UnEFfbIY5Al1CAvI5QPOsDqnkpOEoBxFmQAkoTh5kxZNpE/xi+1+O270RZlSlq
 bkJjo5S6ZjrBpVPFPVSr5ytmCEqS7NP47FvkWbtKGMTdFwmtFB7fbGKPjDJhm6T7Wryc
 tDzouNPn8MEptZ4/BVOBjLEG5FSDFkmo+Pz439dQQRze4OTMOdg9uJ3H0o/HRIQAF5Ro
 F3/w==
X-Gm-Message-State: AEkooutMg1OqvcXekMaIOZjLKvJlJMm0u5ej+R2kYT0B6tTB109/Rda4F38Q0BM26bCk0Q==
X-Received: by 10.200.56.155 with SMTP id f27mr66961925qtc.26.1469809770182;
 Fri, 29 Jul 2016 09:29:30 -0700 (PDT)
Received: from [192.168.0.17] ([191.176.103.124])
 by smtp.googlemail.com with ESMTPSA id
 l129sm10440123qke.27.2016.07.29.09.29.27
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 29 Jul 2016 09:29:29 -0700 (PDT)
Message-ID: <1469809763.28832.14.camel@HIDDEN>
Subject: Re: bug#24089: 25.1; Dired: diff error on = <RET> if the file has a
 backup inside .~/
From: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Date: Fri, 29 Jul 2016 13:29:23 -0300
In-Reply-To: <83bn1gqzco.fsf@HIDDEN>
References: <1469644946.16323.9.camel@HIDDEN> <83popxrefr.fsf@HIDDEN>
 <1469792610.16323.47.camel@HIDDEN> <83bn1gqzco.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Mailer: Evolution 3.18.5.2-0ubuntu3 
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 24089
Cc: 24089 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Fri, 2016-07-29 at 17:43 +0300, Eli Zaretskii wrote:
> I'm not sure why you expect that case to work.  How can Emacs
> reverse-engineer backup-directory-alist, to figure out which of its
> elements was in effect when the original file was backed up?  In your
> example, there's only one element in the alist, but in general there
> could be several.
> 
> It sounds like in this case the users cannot just press RET, they
> should actually type a file name.  Am I missing something?
I understood the intended behavior that way because of the dired-diff
docstring:
    If the file at point is a backup file, use its original.

Perhaps the docstring could be clarified?

Also dired-diff could be tweaked so that, when it is is invoked on a backup
file, the default would be empty.  This would avoid the diff error on = <RET>.
 I am not sure though.

Another possibility (which can be combined with the previous) is to tweak
dired-diff to reverse-engineer backup-directory-alist at least for a few
important easy particular cases, such as the following two:
   1. (("." . ".~"))
   2. (("." . "/ABSOLUTE/PATH"))
and possibly others.

-- 
• I am Brazilian.  I hope my English is correct and I welcome corrections.
• Please adopt free formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
• Free (as in free speech) software for Android: https://f-droid.org/







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24089; Package emacs. Full text available.

Message received at 24089 <at> debbugs.gnu.org:


Received: (at 24089) by debbugs.gnu.org; 29 Jul 2016 14:43:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 29 10:43:57 2016
Received: from localhost ([127.0.0.1]:50858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bT913-0004Su-Ft
	for submit <at> debbugs.gnu.org; Fri, 29 Jul 2016 10:43:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bT912-0004Si-87
 for 24089 <at> debbugs.gnu.org; Fri, 29 Jul 2016 10:43:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bT90t-0007Jv-QT
 for 24089 <at> debbugs.gnu.org; Fri, 29 Jul 2016 10:43:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.8 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60631)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bT90t-0007Jf-NF; Fri, 29 Jul 2016 10:43:47 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1582
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bT90p-0004MQ-PY; Fri, 29 Jul 2016 10:43:46 -0400
Date: Fri, 29 Jul 2016 17:43:19 +0300
Message-Id: <83bn1gqzco.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>
In-reply-to: <1469792610.16323.47.camel@HIDDEN> (message from Jorge Peixoto
 de Morais Neto on Fri, 29 Jul 2016 08:43:30 -0300)
Subject: Re: bug#24089: 25.1; Dired: diff error on = <RET> if the file has a
 backup inside .~/
References: <1469644946.16323.9.camel@HIDDEN> <83popxrefr.fsf@HIDDEN>
 <1469792610.16323.47.camel@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24089
Cc: 24089 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> From: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>
> Cc: 24089 <at> debbugs.gnu.org
> Date: Fri, 29 Jul 2016 08:43:30 -0300
> 
> On Thu, 2016-07-28 at 18:05 +0300, Eli Zaretskii wrote:
> > It seems dired-diff was not prepared to deal with the situation where
> > the backup file is in another directory.  Does the patch below produce
> > good results?
> In my brief testing, the patch solves the problem only when = <RET> is invoked
> with point at the original file.  If it is invoked with point at the backup
> file (inside .~), a diff error still occurs.

I'm not sure why you expect that case to work.  How can Emacs
reverse-engineer backup-directory-alist, to figure out which of its
elements was in effect when the original file was backed up?  In your
example, there's only one element in the alist, but in general there
could be several.

It sounds like in this case the users cannot just press RET, they
should actually type a file name.  Am I missing something?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24089; Package emacs. Full text available.

Message received at 24089 <at> debbugs.gnu.org:


Received: (at 24089) by debbugs.gnu.org; 29 Jul 2016 11:43:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 29 07:43:44 2016
Received: from localhost ([127.0.0.1]:50033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bT6Ce-0008Ln-8j
	for submit <at> debbugs.gnu.org; Fri, 29 Jul 2016 07:43:44 -0400
Received: from mail-qk0-f180.google.com ([209.85.220.180]:34024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jorge13515@HIDDEN>) id 1bT6Cd-0008Lb-2B
 for 24089 <at> debbugs.gnu.org; Fri, 29 Jul 2016 07:43:43 -0400
Received: by mail-qk0-f180.google.com with SMTP id o67so88022255qke.1
 for <24089 <at> debbugs.gnu.org>; Fri, 29 Jul 2016 04:43:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=n9AoGssYzyTZLX52Ik5d5BHlw62+Al3nYR+kpLo4Ik4=;
 b=mYdIyvpGy5gCOahiJH/BI8mZ/1ydBuyrmyh9Kz35nIvDJYrE9sCTVNtYeHWOwNNR/y
 7HeH3zb6vP5sh1cppvIdxSPUPnc91strK+6gxdGcpqvrEdn13VAHCQx8v5qY4lf/CTiv
 sVkvW7PEK1xuBQMbwHJczx7fwbRSQDFuMurI7EUXOwOI4lU9MvT8rYA313CFOsmPQFkD
 to3tcpQl+vZWuBIul+bO/j7IIfCOQv43gZS433M314s8RwBZvWo4UUr4v6F44rcwGhAv
 J9fyzTcbHc174aqlAXrJ/E/2k+arUBAgsiRC03chds0p0I2Js1vyBK8IYZZRE9xjrzfb
 6Jkg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=n9AoGssYzyTZLX52Ik5d5BHlw62+Al3nYR+kpLo4Ik4=;
 b=CnPlE1Ig5YnH/Q3z9TeY5Il/FeTvEMNkzi/zpVlueif5BjxnsXQPQ2zxKKA5WGUMDU
 QdAuKWLd9vw92zx6DoUo33DrbfHqbLpQo9/yGliOCrWFdgF/B2uhbeJK/RfJLqECaVIZ
 mOhKc5VtYF2I3YYP/qxmVO/Uqiv026SS6ZAo+t1McCFO1Ba/CqenrqP8JdXZGb4nEuXm
 cdGcQXSBRX1K9lnv+eRLF3ezKq1LTW8Er237ELWg6Hvgpgo/Lv5wTWCDxVhizmIprPEI
 Ef/4ye7Hu4lxlfyZ020loSPIOu2m3jdG1zKUu6sC+xLt45GPaXP3SeLEWgzkU82BeEfn
 +JrA==
X-Gm-Message-State: AEkooussnVaWIAf0Tf2FGT4XYHxod+r6hL7Ass3zFL/8qU3M8zxPwJhZiBFoFUdVmE0+gQ==
X-Received: by 10.55.214.220 with SMTP id p89mr12733948qkl.166.1469792617643; 
 Fri, 29 Jul 2016 04:43:37 -0700 (PDT)
Received: from [192.168.0.17] ([191.176.103.124])
 by smtp.googlemail.com with ESMTPSA id u23sm9828564qte.30.2016.07.29.04.43.34
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 29 Jul 2016 04:43:36 -0700 (PDT)
Message-ID: <1469792610.16323.47.camel@HIDDEN>
Subject: Re: bug#24089: 25.1; Dired: diff error on = <RET> if the file has a
 backup inside .~/
From: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Date: Fri, 29 Jul 2016 08:43:30 -0300
In-Reply-To: <83popxrefr.fsf@HIDDEN>
References: <1469644946.16323.9.camel@HIDDEN> <83popxrefr.fsf@HIDDEN>
X-Priority: 1
Content-Type: text/plain; charset="UTF-8"
X-Mailer: Evolution 3.18.5.2-0ubuntu3 
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 24089
Cc: 24089 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Thu, 2016-07-28 at 18:05 +0300, Eli Zaretskii wrote:
> It seems dired-diff was not prepared to deal with the situation where
> the backup file is in another directory.  Does the patch below produce
> good results?
In my brief testing, the patch solves the problem only when = <RET> is invoked
with point at the original file.  If it is invoked with point at the backup
file (inside .~), a diff error still occurs.

-- 
• I am Brazilian.  I hope my English is correct and I welcome corrections.
• Please adopt free formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
• Free (as in free speech) software for Android: https://f-droid.org/






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24089; Package emacs. Full text available.

Message received at 24089 <at> debbugs.gnu.org:


Received: (at 24089) by debbugs.gnu.org; 28 Jul 2016 15:05:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 11:05:32 2016
Received: from localhost ([127.0.0.1]:49398 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSmsO-0003Jm-Jo
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 11:05:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55971)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bSmsM-0003JX-Qn
 for 24089 <at> debbugs.gnu.org; Thu, 28 Jul 2016 11:05:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bSmsC-0007Bz-Qm
 for 24089 <at> debbugs.gnu.org; Thu, 28 Jul 2016 11:05:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45904)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bSmsC-0007BA-N9; Thu, 28 Jul 2016 11:05:20 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4019
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bSmsA-0004A3-Rl; Thu, 28 Jul 2016 11:05:19 -0400
Date: Thu, 28 Jul 2016 18:05:12 +0300
Message-Id: <83popxrefr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>
In-reply-to: <1469644946.16323.9.camel@HIDDEN> (message from Jorge Peixoto
 de Morais Neto on Wed, 27 Jul 2016 15:42:26 -0300)
Subject: Re: bug#24089: 25.1;
 Dired: diff error on = <RET> if the file has a backup inside .~/
References: <1469644946.16323.9.camel@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24089
Cc: 24089 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> From: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>
> Date: Wed, 27 Jul 2016 15:42:26 -0300
> 
> Please extract the attached gzipped tarball into ~.
> 
> Inside ~, start Emacs with an init file containing the following:
> --8<---------------cut here---------------start------------->8---
> (custom-set-variables
>  ;; custom-set-variables was added by Custom.
>  ;; If you edit it by hand, you could mess it up, so be careful.
>  ;; Your init file should contain only one such instance.
>  ;; If there is more than one, they won't work right.
>  '(backup-directory-alist (quote (("." . ".~"))))
> )
> 
> (custom-set-faces
>  ;; custom-set-faces was added by Custom.
>  ;; If you edit it by hand, you could mess it up, so be careful.
>  ;; Your init file should contain only one such instance.
>  ;; If there is more than one, they won't work right.
>  )
> --8<---------------cut here---------------end--------------->8---
> 
> Perform the following steps:
> 1. C-x d ~/dired-diff-bug-1 <RET>
> 2. j dummy <RET>
> 3. = <RET>
> I expected (according to the documentation of dired-diff) to see the
> diff of dummy with its backup.  Instead a diff error occurs.  I have
> saved the diff error buffer to diff-error-dummy.txt and attached it.
> 
> Now perform the following steps:
> 1. C-x d ~/dired-diff-bug-1/.~ <RET>
> 2. j dummy~ <RET>
> 3. = <RET>.
> A similar diff error occurs. It is also unexpected.  I have saved the
> diff error buffer in diff-error-dummy~.txt and attached it.

Thanks.

It seems dired-diff was not prepared to deal with the situation where
the backup file is in another directory.  Does the patch below produce
good results?

--- lisp/dired-aux.el~0	2016-05-08 07:05:52.000000000 +0300
+++ lisp/dired-aux.el	2016-07-28 18:01:02.437091400 +0300
@@ -78,8 +78,14 @@
 	  (file-at-mark (if (and transient-mark-mode mark-active)
 			    (save-excursion (goto-char (mark t))
 					    (dired-get-filename t t))))
+          (separate-dir (and oldf
+                             (not (equal (file-name-directory oldf)
+                                         (dired-current-directory)))))
 	  (default-file (or file-at-mark
-			    (and oldf (file-name-nondirectory oldf))))
+			    (and oldf
+                                 (if separate-dir
+                                     oldf
+                                   (file-name-nondirectory oldf)))))
 	  ;; Use it as default if it's not the same as the current file,
 	  ;; and the target dir is current or there is a default file.
 	  (default (if (and (not (equal default-file current))
@@ -88,7 +94,9 @@
 				default-file))
 		       default-file))
 	  (target-dir (if default
-			  (dired-current-directory)
+                          (if separate-dir
+                              (file-name-directory default)
+                            (dired-current-directory))
 			(dired-dwim-target-directory)))
 	  (defaults (dired-dwim-target-defaults (list current) target-dir)))
      (list




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24089; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jul 2016 18:42:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 27 14:42:53 2016
Received: from localhost ([127.0.0.1]:39461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSTnA-00029Z-Eh
	for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 14:42:53 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jorge13515@HIDDEN>) id 1bSTn7-00029L-JV
 for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 14:42:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jorge13515@HIDDEN>) id 1bSTmz-0000Qo-PI
 for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 14:42:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55000)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jorge13515@HIDDEN>) id 1bSTmz-0000QE-Lm
 for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 14:42:41 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34769)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jorge13515@HIDDEN>) id 1bSTmv-000353-JC
 for bug-gnu-emacs@HIDDEN; Wed, 27 Jul 2016 14:42:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jorge13515@HIDDEN>) id 1bSTms-0000OH-9i
 for bug-gnu-emacs@HIDDEN; Wed, 27 Jul 2016 14:42:37 -0400
Received: from mail-qt0-x242.google.com ([2607:f8b0:400d:c0d::242]:36400)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jorge13515@HIDDEN>) id 1bSTms-0000O9-2c
 for bug-gnu-emacs@HIDDEN; Wed, 27 Jul 2016 14:42:34 -0400
Received: by mail-qt0-x242.google.com with SMTP id u25so2133236qtb.3
 for <bug-gnu-emacs@HIDDEN>; Wed, 27 Jul 2016 11:42:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:subject:from:to:date:mime-version;
 bh=x66qo2w/ibr/7VUbu8hfD81EmEJjq15Mffp2dAjk3n0=;
 b=RiH4fKf85c6J1lqL/X+5jStjtKg3XuA6GOzk40Hl10KrZc50cWRHWJE7oFlMI0I1M6
 s9alH2BdF4RSWQsOk6Sj+Vcfj7agqv5EUpSLeRlLhyHHG06/M+O9VyepWfHoJ8FKAEp4
 kP9t5yCWkHMWMIbjDqfxsA3wsY0EcpmacBJHx22BN5ouvs+ikXN8Xa5GEocgkE5gmBc/
 EYA3In9k5KNZw992lAii6FIBk9XIrqY5OyPQ1UddRwA/CeIYDgPLkUCA4TaIZeSO2DbO
 +8IlwII8gMH3TvBeCVdaObZL/OqPeU9V9rrHX+Oo67i6efX2c2/XKNyodvShU2ZFp+n9
 KbZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:message-id:subject:from:to:date:mime-version;
 bh=x66qo2w/ibr/7VUbu8hfD81EmEJjq15Mffp2dAjk3n0=;
 b=JaANKL4/gLLK1vRXq/uAH4oj02LTPqaKkiMa/ArYv6U0kvIEKuVqaw6eMsXuHdUPv6
 7ylg7QNKiOIiJAozfdX2FIGp11bNkMKjrh4G1zOucheZynilouFm62PcLqNyBjLqt3NV
 u1SvYMy+PoCy2O3iJze4LK3Dsq5W8eo3nVGgeA9b/yJzwCFiDvJlgnr+8RpEDAzbSeGS
 ZGc/nIgiXfEET8weu3nntYYh0nMHdLqzRhc9Wta0CcVoAzJLeBVriiULEx0PmaBuBn6k
 ldCl7fWNHxn1iLUD3hQHa/aSW9gXqccVD+9G8u16zOG+9KLzDWIrdL1g9JnSOQ5/IXjO
 Yv7A==
X-Gm-Message-State: AEkoouuOlUA47h3/ebHLEpFo36208eLQqSKauw+rAwNwPwj341lMMn6ZqZf6XuKorva+xA==
X-Received: by 10.200.44.213 with SMTP id 21mr49106737qtx.91.1469644953215;
 Wed, 27 Jul 2016 11:42:33 -0700 (PDT)
Received: from [192.168.0.17] ([191.176.103.124])
 by smtp.googlemail.com with ESMTPSA id g29sm5004456qtg.12.2016.07.27.11.42.30
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 27 Jul 2016 11:42:32 -0700 (PDT)
Message-ID: <1469644946.16323.9.camel@HIDDEN>
Subject: 25.1; Dired: diff error on = <RET> if the file has a backup inside .~/
From: Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Date: Wed, 27 Jul 2016 15:42:26 -0300
Content-Type: multipart/mixed; boundary="=-tfhgNsqPgS/g6/h2Pgo2"
X-Mailer: Evolution 3.18.5.2-0ubuntu3 
Mime-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)


--=-tfhgNsqPgS/g6/h2Pgo2
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

Please extract the attached gzipped tarball into ~.

Inside ~, start Emacs with an init file containing the following:
--8<---------------cut here---------------start------------->8---
(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(backup-directory-alist (quote (("." . ".~"))))
)

(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 )
--8<---------------cut here---------------end--------------->8---

Perform the following steps:
1. C-x d ~/dired-diff-bug-1 <RET>
2. j dummy <RET>
3. = <RET>
I expected (according to the documentation of dired-diff) to see the
diff of dummy with its backup.  Instead a diff error occurs.  I have
saved the diff error buffer to diff-error-dummy.txt and attached it.

Now perform the following steps:
1. C-x d ~/dired-diff-bug-1/.~ <RET>
2. j dummy~ <RET>
3. = <RET>.
A similar diff error occurs. It is also unexpected.  I have saved the
diff error buffer in diff-error-dummy~.txt and attached it.

I have also attached a dribble file.

report-emacs-bug was invoked from another Emacs session, also invoked with an
init file having the contents specified above.


In GNU Emacs 25.1.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.18.9)
 of 2016-07-25 built on jorge-HP-G42
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000
System Description:	Ubuntu 16.04.1 LTS

Configured using:
 'configure --prefix=/usr/local/emacs/ --with-modules'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES

Important settings:
  value of $LC_MONETARY: en_DK.UTF-8
  value of $LC_NUMERIC: en_DK.UTF-8
  value of $LC_TIME: en_DK.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-fortran hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-fortran
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-mhe hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-mhe
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-docview hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-docview
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-eshell hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-eshell
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-tangle hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-tangle
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-plot hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-plot
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-calc hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-calc
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-crypt hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-crypt
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-js hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-js
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-irc hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-irc
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ox-publish hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ox-publish
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-latex hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-latex
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-scala hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-scala
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ox-icalendar hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ox-icalendar
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-gnuplot hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-gnuplot
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ox-beamer hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ox-beamer
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ox hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ox
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-C hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-C
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-bibtex hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-bibtex
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-entities hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-entities
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-core hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-core
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-colview hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-colview
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-ocaml hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-ocaml
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-id hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-id
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-install hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-install
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-loaddefs hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-loaddefs
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-pcomplete hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-pcomplete
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ox-odt hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ox-odt
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-sass hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-sass
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ox-org hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ox-org
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-table hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-table
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-eval hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-eval
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-compat hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-compat
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-octave hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-octave
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ox-ascii hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ox-ascii
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-org hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-org
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-ledger hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-ledger
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-capture hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-capture
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-io hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-io
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-R hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-R
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ox-texinfo hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ox-texinfo
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-gnus hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-gnus
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-emacs-lisp hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-emacs-lisp
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-sql hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-sql
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-bbdb hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-bbdb
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-exp hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-exp
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-clojure hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-clojure
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-plantuml hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-plantuml
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-table hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-table
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ox-man hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ox-man
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-feed hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-feed
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-awk hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-awk
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-keys hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-keys
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-ruby hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-ruby
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-info hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-info
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-dot hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-dot
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-ditaa hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-ditaa
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-ref hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-ref
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-habit hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-habit
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-maxima hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-maxima
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-inlinetask hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-inlinetask
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-macs hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-macs
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-timer hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-timer
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-clock hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-clock
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ox-md hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ox-md
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-lisp hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-lisp
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-lob hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-lob
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ox-html hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ox-html
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-rmail hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-rmail
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-sqlite hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-sqlite
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-archive hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-archive
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-agenda hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-agenda
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-version hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-version
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-css hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-css
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-screen hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-screen
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-footnote hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-footnote
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-faces hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-faces
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-asymptote hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-asymptote
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-python hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-python
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-scheme hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-scheme
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-comint hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-comint
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-ctags hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-ctags
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-makefile hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-makefile
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-list hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-list
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-java hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-java
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-src hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-src
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-w3m hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-w3m
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-indent hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-indent
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-mscgen hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-mscgen
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-element hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-element
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-picolisp hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-picolisp
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-attach hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-attach
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-haskell hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-haskell
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-macro hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-macro
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ox-latex hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ox-latex
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-shen hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-shen
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-mobile hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-mobile
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-perl hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-perl
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-mouse hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-mouse
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-matlab hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-matlab
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-datetree hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-datetree
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/org-protocol hides
/usr/local/emacs/share/emacs/25.1/lisp/org/org-protocol
/home/jorge/.emacs.d/elpa/org-plus-contrib-20160725/ob-lilypond hides
/usr/local/emacs/share/emacs/25.1/lisp/org/ob-lilypond

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg gnus-util mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util help-fns mail-prsvr mail-utils finder-inf
info package epg-config seq byte-opt gv bytecomp byte-compile cl-extra
help-mode easymenu cconv cl-loaddefs pcase cl-lib time-date mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 110174 5697)
 (symbols 48 22087 0)
 (miscs 40 485 158)
 (strings 32 22517 5631)
 (string-bytes 1 745738)
 (vectors 16 15009)
 (vector-slots 8 473639 3924)
 (floats 8 196 3)
 (intervals 56 247 1)
 (buffers 976 20)
 (heap 1024 44160 1133))
-- 
• I am Brazilian.  I hope my English is correct and I welcome corrections.
• Please adopt free formats like PDF, ODF, LaTeX, Opus, WebM and 7z.
• Free software for Android: https://f-droid.org/


--=-tfhgNsqPgS/g6/h2Pgo2
Content-Type: application/x-compressed-tar; name="dired-diff-bug-1.tar.gz"
Content-Disposition: attachment; filename="dired-diff-bug-1.tar.gz"
Content-Transfer-Encoding: base64

H4sIAP/RmFcCA+3UQQ6CMBBA0R6FCyAdOqXn0RQIJsQEZeHGs1s0JsaFsiAQk/82s+jsfqaxG+qY
x65p8sPY5lKY5dkkBD9NCd6+zxcjZdBK1PtQGisubZjMmxWM58t+yDJzPA1t/WXv1/ufip/9d7di
u/6iKjr1d6Wj/1b949j319uy/atKZ/V30176B0K6f0v/9fs/4i9//3P7P+9frVP6AwAAAAAAAAAA
AAAAzHEHM6gQlgAoAAA=


--=-tfhgNsqPgS/g6/h2Pgo2
Content-Disposition: attachment; filename="diff-error-dummy.txt"
Content-Type: text/plain; name="diff-error-dummy.txt"; charset="UTF-8"
Content-Transfer-Encoding: base64

ZGlmZiAtdSAvaG9tZS9qb3JnZS9kaXJlZC1kaWZmLWJ1Zy0xL2R1bW15XH4gL2hvbWUvam9yZ2Uv
ZGlyZWQtZGlmZi1idWctMS9kdW1teQpkaWZmOiAvaG9tZS9qb3JnZS9kaXJlZC1kaWZmLWJ1Zy0x
L2R1bW15fjogTm8gc3VjaCBmaWxlIG9yIGRpcmVjdG9yeQoKRGlmZiBmaW5pc2hlZCAoZGlmZiBl
cnJvcikuICBXZWQgSnVsIDI3IDEyOjAxOjU2IDIwMTYK


--=-tfhgNsqPgS/g6/h2Pgo2
Content-Disposition: attachment; filename="diff-error-dummy~.txt"
Content-Type: text/plain; name="diff-error-dummy~.txt"; charset="UTF-8"
Content-Transfer-Encoding: base64

ZGlmZiAtdSAvaG9tZS9qb3JnZS9kaXJlZC1kaWZmLWJ1Zy0xLy5cfi9kdW1teVx+IC9ob21lL2pv
cmdlL2RpcmVkLWRpZmYtYnVnLTEvLlx+L2R1bW15CmRpZmY6IC9ob21lL2pvcmdlL2RpcmVkLWRp
ZmYtYnVnLTEvLn4vZHVtbXk6IE5vIHN1Y2ggZmlsZSBvciBkaXJlY3RvcnkKCkRpZmYgZmluaXNo
ZWQgKGRpZmYgZXJyb3IpLiAgV2VkIEp1bCAyNyAxMjowMjozMyAyMDE2Cg==


--=-tfhgNsqPgS/g6/h2Pgo2
Content-Disposition: attachment; filename="dribble.txt"
Content-Type: text/plain; name="dribble.txt"; charset="us-ascii"
Content-Transfer-Encoding: 7bit

d~/dire<tab>1<tab><return>jdu<tab><return>=<return>o<backspace><backspace>2/diff-error-dummy.txt<return>od.~<return>jdumm<tab><return>=<return>o~/dire<tab>2<tab>diff<tab>~<return>
--=-tfhgNsqPgS/g6/h2Pgo2--





Acknowledgement sent to Jorge Peixoto de Morais Neto <jorge13515@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24089; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 10 Feb 2018 19:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.